.nav {
    &__checkbox {
        display: none;
    }

    &__btn {
        display: flex;
        justify-content: center;
        align-items: center;

        height: 7rem;
        width: 7rem;

        position: fixed;
        top: 6rem;
        right: 6rem;
        z-index: 2000;

        cursor: pointer;

        border-radius: 50%;
        background-color: $color-white;
        box-shadow: 0 1rem 3rem rgba($color-black, .2);

        @include respond-to('tablet-portrait') {
            top: 4rem;
            right: 4rem;
        }

        @include respond-to('mobile') {
            top: 3rem;
            right: 3rem;
        }
    }

    &__btn-icon {
        position: relative;

        &,
        &::after,
        &::before {
            display: inline-block;
            width: 3rem;
            height: 2px;
            background-color: $color-gray-dark-300;
        }

        &::after,
        &::before {
            content: '';
            position: absolute;
            left: 0;

            transition: all .2s;
        }

        &::before {
            top: -.8rem;
        }

        &::after {
            top: .8rem;
        }
    }

    &__background {
        height: 6rem;
        width: 6rem;

        position: fixed;
        top: 6.5rem;
        right: 6.5rem;
        z-index: 1000;

        border-radius: 50%;
        background-image: linear-gradient($color-primary-light, $color-primary-dark);

        transition: transform .8s cubic-bezier(0.83, 0, 0.17, 1);

        @include respond-to('tablet-portrait') {
            top: 4.5rem;
            right: 4.5rem;
        }

        @include respond-to('mobile') {
            top: 3.5rem;
            right: 3.5rem;
        }
    }

    &__menu {
        height: 100vh;
        width: 0;

        position: fixed;
        top: 0;
        left: 0;
        z-index: 1500;

        opacity: 0;

        transition: all .8s cubic-bezier(0.68, -0.6, 0.32, 1.6);
    }

    &__list {
        width: 100%;
        height: 100%;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        list-style: none;
        text-align: center;
    }

    &__item {
        margin: 1rem;
    }

    &__link {
        display: inline-block;

        &:link,
        &:visited {
            font-size: 3rem;
            font-weight: 300;
            color: $color-white;

            text-decoration: none;
            text-transform: uppercase;

            padding: 1rem 2rem;

            background-image: linear-gradient(
                120deg,
                transparent 0,
                transparent 50%,
                $color-white 50%,
            );
            background-size: 230%;

            transition:
                background-position .5s,
                color .5s,
                transform .5s;

            span {
                margin-right: 1.5rem;
            }
        }

        &:hover,
        &:active {
            background-position: 100%;
            color: $color-primary-dark;
            transform: translateX(1rem);
        }
    }

    &__checkbox:checked ~ &__background {
        transform: scale(200);
    }

    &__checkbox:checked ~ &__menu {
        width: 100%;
        opacity: 1;
    }

    &__checkbox:checked + &__btn &__btn-icon {
        background-color: transparent;
    }

    &__checkbox:checked + &__btn &__btn-icon::before {
        top: 0;
        transform: rotate(135deg);
    }

    &__checkbox:checked + &__btn &__btn-icon::after {
        top: 0;
        transform: rotate(-135deg);
    }

    &__btn:hover &__btn-icon::before {
        top: -1rem;
    }

    &__btn:hover &__btn-icon::after {
        top: 1rem;
    }
}
